## osinfo_install_config_param osinfo_install_config_param — OS install configuration parameters (and its policies) |

## Functions

OsinfoInstallConfigParam * | osinfo_install_config_param_new ()
const gchar * | osinfo_install_config_param_get_name ()
OsinfoInstallConfigParamPolicy | osinfo_install_config_param_get_policy ()
gboolean | osinfo_install_config_param_is_required ()
gboolean | osinfo_install_config_param_is_optional ()
void | osinfo_install_config_param_set_value_map ()
OsinfoDatamap * | osinfo_install_config_param_get_value_map ()

## Types and Values

#define | OSINFO_TYPE_INSTALL_CONFIG_PARAM
#define | OSINFO_INSTALL_CONFIG_PARAM_PROP_DATAMAP
#define | OSINFO_INSTALL_CONFIG_PARAM_PROP_NAME
#define | OSINFO_INSTALL_CONFIG_PARAM_PROP_POLICY
enum | OsinfoInstallConfigParamPolicy

## Object Hierarchy

        GEnum
        ╰── OsinfoInstallConfigParamPolicy

## Description

OsinfoInstallConfigParam is an entity for describing all parameters that can be set in an automated installation. It is used to help applications to generate an automated installation script. The actual parameter values for an OsinfoInstallScript must be set using an OsinfoInstallConfig object.

## Functions

### osinfo_install_config_param_new ()

    OsinfoInstallConfigParam *
    osinfo_install_config_param_new (const gchar *name);

Construct a new configuration parameter for an OsinfoInstallScript.

#### Parameters

name | the configuration parameter name |

#### Returns

the new configuration parameter.

[transfer full]

Since: 0.2.0

### osinfo_install_config_param_get_name ()

    const gchar *
    osinfo_install_config_param_get_name (OsinfoInstallConfigParam *config_param);

#### Parameters

config_param | the configuration parameter |

#### Returns

the name of the configuration parameter.

[transfer none]

Since: 0.2.0

### osinfo_install_config_param_get_policy ()

    OsinfoInstallConfigParamPolicy
    osinfo_install_config_param_get_policy
                                   (OsinfoInstallConfigParam *config_param);

#### Parameters

config_param | the configuration parameter |

#### Returns

the policy of the configuration parameter

Since: 0.2.0

### osinfo_install_config_param_is_required ()

    gboolean
    osinfo_install_config_param_is_required
                                   (OsinfoInstallConfigParam *config_param);

#### Parameters

config_param | the configuration parameter |

#### Returns

TRUE if the config_param is required. FALSE otherwise.

Since: 0.2.1

### osinfo_install_config_param_is_optional ()

    gboolean
    osinfo_install_config_param_is_optional
                                   (OsinfoInstallConfigParam *config_param);

#### Parameters

config_param | the configuration parameter |

#### Returns

TRUE if the config_param is optional. FALSE otherwise.

Since: 0.2.1

### osinfo_install_config_param_set_value_map ()

    void
    osinfo_install_config_param_set_value_map
                                   (OsinfoInstallConfigParam *config_param,
                                    OsinfoDatamap *datamap);

After a call to `osinfo_install_config_param_set_value_map()`, `datamap` will be used to transform values set for this parameter to OS-specific values. A NULL `datamap` will disable transformations.

#### Parameters

config_param | the configuration parameter |
datamap | a OsinfoDatamap to transform values this parameter is set to, or NULL to disable transformations for this parameter |

Since: 0.2.8

### osinfo_install_config_param_get_value_map ()

    OsinfoDatamap *
    osinfo_install_config_param_get_value_map
                                   (OsinfoInstallConfigParam *config_param);

#### Parameters

config_param | the configuration parameter |

#### Returns

The data map used to transform values set for this parameter to OS-specific values, or NULL.

[transfer none]

Since: 0.2.8

## Types and Values

### OSINFO_TYPE_INSTALL_CONFIG_PARAM

    #define OSINFO_TYPE_INSTALL_CONFIG_PARAM (osinfo_install_config_param_get_type ())

### OSINFO_INSTALL_CONFIG_PARAM_PROP_DATAMAP

    #define OSINFO_INSTALL_CONFIG_PARAM_PROP_DATAMAP "value-map"

### OSINFO_INSTALL_CONFIG_PARAM_PROP_NAME

    #define OSINFO_INSTALL_CONFIG_PARAM_PROP_NAME    "name"

### OSINFO_INSTALL_CONFIG_PARAM_PROP_POLICY

    #define OSINFO_INSTALL_CONFIG_PARAM_PROP_POLICY  "policy"

### enum OsinfoInstallConfigParamPolicy

Policy for configuration parameter presence

#### Members

OSINFO_INSTALL_CONFIG_PARAM_POLICY_NONE | no policy defined |
OSINFO_INSTALL_CONFIG_PARAM_POLICY_REQUIRED | config parameter is required |
OSINFO_INSTALL_CONFIG_PARAM_POLICY_OPTIONAL | config parameter may be omitted |

Since: 0.2.2

## See Also

OsinfoInstallScript, OsinfoInstallConfig